#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './opsadvanced.ui'
**
** Created: Wed Apr 14 12:25:25 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.1   edited Nov 24 13:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "opsadvanced.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "timestepbox.h"
#include "magnitudespinbox.h"

/*
 *  Constructs a OpsAdvanced as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
OpsAdvanced::OpsAdvanced( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "OpsAdvanced" );
    OpsAdvancedLayout = new QVBoxLayout( this, 11, 6, "OpsAdvancedLayout"); 

    useRefraction = new QCheckBox( this, "useRefraction" );
    OpsAdvancedLayout->addWidget( useRefraction );

    animateSlewing = new QCheckBox( this, "animateSlewing" );
    OpsAdvancedLayout->addWidget( animateSlewing );

    autoLabel = new QCheckBox( this, "autoLabel" );
    OpsAdvancedLayout->addWidget( autoLabel );
    spacer20 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Fixed );
    OpsAdvancedLayout->addItem( spacer20 );

    hideObjects = new QCheckBox( this, "hideObjects" );
    OpsAdvancedLayout->addWidget( hideObjects );

    layout16 = new QHBoxLayout( 0, 0, 6, "layout16"); 

    textLabelHideTimeStep = new QLabel( this, "textLabelHideTimeStep" );
    layout16->addWidget( textLabelHideTimeStep );

    hideSpinBox = new TimeStepBox( this, "hideSpinBox" );
    hideSpinBox->setFocusPolicy( TimeStepBox::StrongFocus );
    layout16->addWidget( hideSpinBox );
    spacer21 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout16->addItem( spacer21 );
    OpsAdvancedLayout->addLayout( layout16 );

    HideBox = new QGroupBox( this, "HideBox" );
    HideBox->setEnabled( TRUE );
    HideBox->setColumnLayout(0, Qt::Vertical );
    HideBox->layout()->setSpacing( 6 );
    HideBox->layout()->setMargin( 11 );
    HideBoxLayout = new QVBoxLayout( HideBox->layout() );
    HideBoxLayout->setAlignment( Qt::AlignTop );

    layout20 = new QHBoxLayout( 0, 0, 6, "layout20"); 

    hideStars = new QCheckBox( HideBox, "hideStars" );
    layout20->addWidget( hideStars );

    magSpinBoxHideStars = new MagnitudeSpinBox( HideBox, "magSpinBoxHideStars" );
    magSpinBoxHideStars->setFocusPolicy( MagnitudeSpinBox::StrongFocus );
    layout20->addWidget( magSpinBoxHideStars );

    textLabelMag1 = new QLabel( HideBox, "textLabelMag1" );
    layout20->addWidget( textLabelMag1 );
    spacer23 = new QSpacerItem( 240, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout20->addItem( spacer23 );
    HideBoxLayout->addLayout( layout20 );

    layout13 = new QGridLayout( 0, 1, 1, 0, 6, "layout13"); 

    hideMW = new QCheckBox( HideBox, "hideMW" );

    layout13->addWidget( hideMW, 0, 1 );

    hidePlanets = new QCheckBox( HideBox, "hidePlanets" );

    layout13->addWidget( hidePlanets, 0, 0 );

    hideCNames = new QCheckBox( HideBox, "hideCNames" );

    layout13->addWidget( hideCNames, 1, 1 );

    hideNGC = new QCheckBox( HideBox, "hideNGC" );

    layout13->addWidget( hideNGC, 2, 0 );

    hideCLines = new QCheckBox( HideBox, "hideCLines" );

    layout13->addWidget( hideCLines, 2, 1 );

    hideIC = new QCheckBox( HideBox, "hideIC" );

    layout13->addWidget( hideIC, 3, 0 );

    hideMess = new QCheckBox( HideBox, "hideMess" );

    layout13->addWidget( hideMess, 1, 0 );

    hideGrid = new QCheckBox( HideBox, "hideGrid" );

    layout13->addWidget( hideGrid, 3, 1 );
    HideBoxLayout->addLayout( layout13 );
    OpsAdvancedLayout->addWidget( HideBox );
    spacer22 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    OpsAdvancedLayout->addItem( spacer22 );
    languageChange();
    resize( QSize(383, 397).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( useRefraction, animateSlewing );
    setTabOrder( animateSlewing, autoLabel );
    setTabOrder( autoLabel, hideObjects );
    setTabOrder( hideObjects, hideSpinBox );
    setTabOrder( hideSpinBox, hideStars );
    setTabOrder( hideStars, magSpinBoxHideStars );
    setTabOrder( magSpinBoxHideStars, hidePlanets );
    setTabOrder( hidePlanets, hideMess );
    setTabOrder( hideMess, hideNGC );
    setTabOrder( hideNGC, hideIC );
    setTabOrder( hideIC, hideMW );
    setTabOrder( hideMW, hideCNames );
    setTabOrder( hideCNames, hideCLines );
    setTabOrder( hideCLines, hideGrid );
}

/*
 *  Destroys the object and frees any allocated resources
 */
OpsAdvanced::~OpsAdvanced()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void OpsAdvanced::languageChange()
{
    setCaption( tr2i18n( "OpsAdvanced" ) );
    useRefraction->setText( tr2i18n( "Correct for atmospheric refraction" ) );
    QToolTip::add( useRefraction, tr2i18n( "Correct coordinates of objects for the effects of the atmosphere" ) );
    QWhatsThis::add( useRefraction, tr2i18n( "The atmosphere bends light passing through it, like a lens.  If this item is checked, this \"atmospheric refraction\" will be simulated in the sky map.  Note that this correction is only applied when using the Horizontal coordinate system." ) );
    animateSlewing->setText( tr2i18n( "Use animated slewing" ) );
    QToolTip::add( animateSlewing, tr2i18n( "Show slewing motion when focus changes?" ) );
    QWhatsThis::add( animateSlewing, tr2i18n( "If checked, changing the focus position will result in a visible animated \"slew\" to the new position.  Otherwise, the display will center on the new position instantaneously." ) );
    autoLabel->setText( tr2i18n( "Attach label to centered object" ) );
    QToolTip::add( autoLabel, tr2i18n( "Show name label of centered object?" ) );
    QWhatsThis::add( autoLabel, tr2i18n( "If checked, a name label will be temporarily attached to an object while it is centered in the display.  You can attach a more persistent label to any object using the right-click popup menu." ) );
    hideObjects->setText( tr2i18n( "Hide objects while moving" ) );
    QToolTip::add( hideObjects, tr2i18n( "Don't draw all objects while the map is moving?" ) );
    QWhatsThis::add( hideObjects, tr2i18n( "When the map is in motion, smooth animation is compromised if the program has too many objects to draw on the map.  Check this item to temporarily hide some of the objects while the display is in motion." ) );
    textLabelHideTimeStep->setText( tr2i18n( "Also hide if time step larger than:" ) );
    QToolTip::add( hideSpinBox, tr2i18n( "smallest timestep for which objects are always hidden" ) );
    HideBox->setTitle( tr2i18n( "Configure Hidden Objects" ) );
    hideStars->setText( tr2i18n( "Stars fainter than" ) );
    QToolTip::add( hideStars, tr2i18n( "Hide faint stars while moving?" ) );
    QWhatsThis::add( hideStars, tr2i18n( "If checked, then fainter stars will be hidden when the map is in motion." ) );
    magSpinBoxHideStars->setProperty( "property", tr2i18n( "Stars fainter than this will not be drawn while the map is moving." ) );
    QWhatsThis::add( magSpinBoxHideStars, tr2i18n( "Stars fainter than this will not be drawn while the map is moving." ) );
    textLabelMag1->setText( tr2i18n( "mag" ) );
    hideMW->setText( tr2i18n( "Milky Way" ) );
    QToolTip::add( hideMW, tr2i18n( "Hide the Milky Way contour while moving?" ) );
    QWhatsThis::add( hideMW, tr2i18n( "If checked, then the Milky Way contour will be hidden when the map is in motion." ) );
    hidePlanets->setText( tr2i18n( "Solar system" ) );
    QToolTip::add( hidePlanets, tr2i18n( "Hide solar system bodies while moving?" ) );
    QWhatsThis::add( hidePlanets, tr2i18n( "If checked, then all solar system bodies will be hidden when the map is in motion." ) );
    hideCNames->setText( tr2i18n( "Constellation names" ) );
    QToolTip::add( hideCNames, tr2i18n( "Hide constellation names while moving?" ) );
    QWhatsThis::add( hideCNames, tr2i18n( "If checked, then constellation names will be hidden when the map is in motion." ) );
    hideNGC->setText( tr2i18n( "NGC objects" ) );
    QToolTip::add( hideNGC, tr2i18n( "Hide NGC objects while moving?" ) );
    QWhatsThis::add( hideNGC, tr2i18n( "If checked, then objects in the NGC catalog will be hidden when the map is in motion." ) );
    hideCLines->setText( tr2i18n( "Constellation lines" ) );
    QToolTip::add( hideCLines, tr2i18n( "Hide constellation lines while moving?" ) );
    QWhatsThis::add( hideCLines, tr2i18n( "If checked, then constellation lines will be hidden when the map is in motion." ) );
    hideIC->setText( tr2i18n( "IC objects" ) );
    QToolTip::add( hideIC, tr2i18n( "Hide IC objects while moving?" ) );
    QWhatsThis::add( hideIC, tr2i18n( "If checked, then objects in the IC catalog will be hidden when the map is in motion." ) );
    hideMess->setText( tr2i18n( "Messier objects" ) );
    QToolTip::add( hideMess, tr2i18n( "Hide Messier objects when moving?" ) );
    QWhatsThis::add( hideMess, tr2i18n( "If checked, then objects in the Messier catalog will be hidden when the map is in motion." ) );
    hideGrid->setText( tr2i18n( "Coordinate grid" ) );
    QToolTip::add( hideGrid, tr2i18n( "Hide coordinate grid while moving?" ) );
    QWhatsThis::add( hideGrid, tr2i18n( "If checked, then the coordinate grid will be hidden when the map is in motion." ) );
}

#include "opsadvanced.moc"
