#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './opsguides.ui'
**
** Created: Wed Apr 14 12:25:26 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.1   edited Nov 24 13:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "opsguides.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a OpsGuides as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
OpsGuides::OpsGuides( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setProperty( "name", "OpsGuides" );
    OpsGuidesLayout = new QVBoxLayout( this, 11, 6, "OpsGuidesLayout"); 

    showConstellLines = new QCheckBox( this, "showConstellLines" );
    OpsGuidesLayout->addWidget( showConstellLines );

    showConstellNames = new QCheckBox( this, "showConstellNames" );
    OpsGuidesLayout->addWidget( showConstellNames );

    ConstellOptions = new QButtonGroup( this, "ConstellOptions" );
    ConstellOptions->setColumnLayout(0, Qt::Vertical );
    ConstellOptions->layout()->setSpacing( 6 );
    ConstellOptions->layout()->setMargin( 11 );
    ConstellOptionsLayout = new QVBoxLayout( ConstellOptions->layout() );
    ConstellOptionsLayout->setAlignment( Qt::AlignTop );

    useLatinConstellNames = new QRadioButton( ConstellOptions, "useLatinConstellNames" );
    ConstellOptionsLayout->addWidget( useLatinConstellNames );

    useLocalConstellNames = new QRadioButton( ConstellOptions, "useLocalConstellNames" );
    ConstellOptionsLayout->addWidget( useLocalConstellNames );

    useAbbrevConstellNames = new QRadioButton( ConstellOptions, "useAbbrevConstellNames" );
    ConstellOptionsLayout->addWidget( useAbbrevConstellNames );
    OpsGuidesLayout->addWidget( ConstellOptions );

    showMilkyWay = new QCheckBox( this, "showMilkyWay" );
    OpsGuidesLayout->addWidget( showMilkyWay );

    showMilkyWayFilled = new QCheckBox( this, "showMilkyWayFilled" );
    OpsGuidesLayout->addWidget( showMilkyWayFilled );
    spacer12 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Fixed );
    OpsGuidesLayout->addItem( spacer12 );

    showGrid = new QCheckBox( this, "showGrid" );
    OpsGuidesLayout->addWidget( showGrid );

    showEquator = new QCheckBox( this, "showEquator" );
    OpsGuidesLayout->addWidget( showEquator );

    showEcliptic = new QCheckBox( this, "showEcliptic" );
    OpsGuidesLayout->addWidget( showEcliptic );

    showHorizon = new QCheckBox( this, "showHorizon" );
    OpsGuidesLayout->addWidget( showHorizon );

    showGround = new QCheckBox( this, "showGround" );
    OpsGuidesLayout->addWidget( showGround );
    spacer13 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    OpsGuidesLayout->addItem( spacer13 );
    languageChange();
    resize( QSize(420, 382).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
OpsGuides::~OpsGuides()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void OpsGuides::languageChange()
{
    setProperty( "caption", tr2i18n( "OpsGuides" ) );
    showConstellLines->setProperty( "text", tr2i18n( "Constellation lines" ) );
    QToolTip::add( showConstellLines, tr2i18n( "Show constellation lines?" ) );
    QWhatsThis::add( showConstellLines, tr2i18n( "If checked, constellation lines will be drawn on the sky map." ) );
    showConstellNames->setProperty( "text", tr2i18n( "Constellation names" ) );
    QToolTip::add( showConstellNames, tr2i18n( "Draw constellation names?" ) );
    QWhatsThis::add( showConstellNames, tr2i18n( "If checked, constellation names will be drawn on the sky map." ) );
    ConstellOptions->setProperty( "title", tr2i18n( "Constellation Name Options" ) );
    useLatinConstellNames->setProperty( "text", tr2i18n( "Latin" ) );
    QToolTip::add( useLatinConstellNames, tr2i18n( "Use Latin constellation names" ) );
    QWhatsThis::add( useLatinConstellNames, tr2i18n( "Select this to use Latin constellation names on the sky map" ) );
    useLocalConstellNames->setProperty( "text", tr2i18n( "Localized" ) );
    QToolTip::add( useLocalConstellNames, tr2i18n( "Use Localized constellation names" ) );
    QWhatsThis::add( useLocalConstellNames, tr2i18n( "Select this to use constellation names from your locality (if available)" ) );
    useAbbrevConstellNames->setProperty( "text", tr2i18n( "Abbreviated" ) );
    QToolTip::add( useAbbrevConstellNames, tr2i18n( "Use IAU abbreviations" ) );
    QWhatsThis::add( useAbbrevConstellNames, tr2i18n( "Select this to use abbreviations from the International Astronomical Union as constellation labels" ) );
    showMilkyWay->setProperty( "text", tr2i18n( "Milky Way" ) );
    QToolTip::add( showMilkyWay, tr2i18n( "Draw the Milky Way contour?" ) );
    QWhatsThis::add( showMilkyWay, tr2i18n( "If checked, a contour representing the Milky Way will be drawn on the sky map" ) );
    showMilkyWayFilled->setProperty( "text", tr2i18n( "Fill Milky Way" ) );
    QToolTip::add( showMilkyWayFilled, tr2i18n( "Use filled Milky Way contour?" ) );
    QWhatsThis::add( showMilkyWayFilled, tr2i18n( "If checked, the Milky Way contour will be shown filled.  Otherwise, only the outline will be drawn." ) );
    showGrid->setProperty( "text", tr2i18n( "Coordinate grid" ) );
    QToolTip::add( showGrid, tr2i18n( "Draw coordinate grid?" ) );
    QWhatsThis::add( showGrid, tr2i18n( "If checked, a grid of lines will be drawn every 2 hours in Right Ascension and every 20 degrees in Declination." ) );
    showEquator->setProperty( "text", tr2i18n( "Celestial equator" ) );
    QToolTip::add( showEquator, tr2i18n( "Draw Celestial equator?" ) );
    QWhatsThis::add( showEquator, tr2i18n( "If checked, the celestial equator will be drawn in the sky map." ) );
    showEcliptic->setProperty( "text", tr2i18n( "Ecliptic" ) );
    QToolTip::add( showEcliptic, tr2i18n( "Draw Ecliptic?" ) );
    QWhatsThis::add( showEcliptic, tr2i18n( "If checked, the ecliptic will be drawn on the sky map.  The ecliptic is a great circle on the sky that the Sun appears to follow over the course of one year.  All other solar system bodies roughly follow the ecliptic as well." ) );
    showHorizon->setProperty( "text", tr2i18n( "Horizon (line)" ) );
    QToolTip::add( showHorizon, tr2i18n( "Draw horizon?" ) );
    QWhatsThis::add( showHorizon, tr2i18n( "If checked, a line representing the local horizon will be drawn on the map." ) );
    showGround->setProperty( "text", tr2i18n( "Opaque ground" ) );
    QToolTip::add( showGround, tr2i18n( "Draw opaque ground?" ) );
    QWhatsThis::add( showGround, tr2i18n( "If checked, the area below the horizon will be filled in, to simulate the ground beneath you.  Note that the ground is never drawn when using the Equatorial coordinate system." ) );
}

#include "opsguides.moc"
